% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/class_analysis_stage_results.R
\docType{class}
\name{StageResults}
\alias{StageResults}
\title{Basic Stage Results}
\description{
Basic class for stage results.
}
\details{
\code{StageResults} is the basic class for \code{StageResultsMeans},
\code{StageResultsRates}, and \code{StageResultsSurvival}.
}
\section{Fields}{

\describe{
\item{\code{stages}}{The stage numbers of the trial. Is an integer vector of length \code{kMax}.}

\item{\code{testStatistics}}{The stage-wise test statistics. Is a numeric vector of length \code{kMax}.}

\item{\code{pValues}}{The stage-wise p-values. Is a numeric vector of length \code{kMax}.}

\item{\code{combInverseNormal}}{The stage-wise test statistics for the inverse normal test. Is a numeric vector of length \code{kMax}.}

\item{\code{combFisher}}{Test statistic for Fisher's combination test. H~0~}

\item{\code{effectSizes}}{The stage-wise effect sizes. Is a numeric vector of length \code{kMax}.}

\item{\code{testActions}}{The action drawn from test result.}

\item{\code{weightsFisher}}{The weights for Fisher's combination test. Is a numeric vector of length \code{kMax}.}

\item{\code{weightsFisher}}{The weights for inverse normal statistic.. Is a numeric vector of length \code{kMax}.}
}}


\keyword{internal}
